spring:
  application:
    # 应用名称
    name: jnpf-ftb
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
  cloud:
    nacos:
      username: ${NACOS_USER_NAME:nacos}
      password: ${NACOS_PASSWORD:FTB_nacos_30099}
      discovery:
        # 服务注册地址
        server-addr: ${NACOS_HOST:192.168.3.24:30099}
        namespace: ${NACOS_NAMESPACE:69c4eecb-05bd-4041-81fe-1473f95f578c}
        #ip: ${LOCAL_SERVER_IP:127.0.0.1}
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yaml
        group: DEFAULT_GROUP
        namespace: ${spring.cloud.nacos.discovery.namespace}
        extension-configs:
          - # 数据源及Redis配置
            data-id: datasource.yaml
            group: DEFAULT_GROUP
            refresh: true
          - # 静态资源配置
            data-id: resources.yaml
            group: DEFAULT_GROUP
            refresh: true
          - # 系统配置
            data-id: system-config.yaml
            group: DEFAULT_GROUP
            refresh: true
          - # 框架中间件配置
            data-id: frame-config.yaml
            group: DEFAULT_GROUP
            refresh: true
          - # 日志配置
            data-id: logger.yaml
            group: DEFAULT_GROUP
            refresh: true
    stream:
      rocketmq:
        binder:
          name-server: ${ROCKETMQ_HOST:192.168.3.24:30094}
        bindings:
          output:
            producer:
              sync: true
              group: jnpf-group1
          permission-certificate-input:
            consumer:
              push:
                orderly: true
              consumeFromWhere: CONSUME_FROM_LAST_OFFSET
          permission-franchisee-input:
            consumer:
              consumeFromWhere: CONSUME_FROM_LAST_OFFSET
      bindings:
        permission-output:  #生产
          content-type: text/json
          destination: permission-topic
          group: jnpf-group1
        permission-input: #消费
          content-type: text/json
          destination: permission-topic
          group: jnpf-ftb-consumer-group
        permission-certificate-input: #证照消费（顺序）
          content-type: text/json
          destination: permission-topic
          group: jnpf-ftb-certificate-consumer-group
        permission-franchisee-input: #加盟商消费
          content-type: text/json
          destination: permission-topic
          group: jnpf-ftb-franchisee-consumer-group